<?php
session_start();

ini_set('display_errors', 1);
error_reporting(E_ALL);

require_once '../config/db.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['login'])) {
    $email = trim($_POST['email']);
    $password = trim($_POST['password']);

    $stmt = $pdo->prepare("SELECT * FROM users WHERE email = ?");
    $stmt->execute([$email]);
    $user = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($user && password_verify($password, $user['password'])) {
        $_SESSION['user'] = [
            'id'    => $user['id'],
            'name'  => $user['name'],
            'email' => $user['email'],
            'role'  => $user['role']
        ];

        switch ($user['role']) {
            case 'admin': header("Location: ../views/dashboard/admin.php"); break;
            case 'staff': header("Location: ../views/dashboard/staff.php"); break;
            case 'team_lead': header("Location: ../views/dashboard/team_lead.php"); break;
            case 'hr': header("Location: ../views/dashboard/hr.php"); break;
            case 'director': header("Location: ../views/dashboard/director.php"); break;
            default: header("Location: ../views/auth/login.php?error=role"); break;
        }
        exit;
    } else {
        header("Location: ../views/auth/login.php?error=invalid");
        exit;
    }
}
