<?php
require_once '../config/db.php';
require_once '../helpers/session.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $step = $_POST['step'];
    $user = currentUser();
    $staff_id = $user['id'];

    switch ($step) {
        case 'staff':
            $stmt = $pdo->prepare("INSERT INTO evaluations (staff_id, quality_of_work, productivity, deadlines, accomplishments, improvements, career_goals, status)
                VALUES (?, ?, ?, ?, ?, ?, ?, 'submitted')");
            $stmt->execute([
                $staff_id,
                $_POST['quality_of_work'],
                $_POST['productivity'],
                $_POST['meeting_deadlines'],
                $_POST['accomplishments'],
                $_POST['improvement_areas'],
                $_POST['career_goals']
            ]);
            break;

        case 'team_lead':
            $stmt = $pdo->prepare("UPDATE evaluations SET team_collab=?, problem_solving=?, strengths=?, weaknesses=?, promotion=?
                WHERE staff_id=?");
            $stmt->execute([
                $_POST['collaboration'],
                $_POST['problem_solving'],
                $_POST['strengths'],
                $_POST['weaknesses'],
                $_POST['promotion'],
                $staff_id
            ]);
            break;

        case 'hr':
            $stmt = $pdo->prepare("UPDATE evaluations SET policy=?, punctuality=?, discipline=?, retention=?
                WHERE staff_id=?");
            $stmt->execute([
                $_POST['policy'],
                $_POST['punctuality'],
                $_POST['discipline'],
                $_POST['retention'],
                $staff_id
            ]);
            break;

        case 'director':
            $stmt = $pdo->prepare("UPDATE evaluations SET leadership=?, future_role=?, final_grade=?, status='completed'
                WHERE staff_id=?");
            $stmt->execute([
                $_POST['leadership'],
                $_POST['future_role'],
                $_POST['final_grade'],
                $staff_id
            ]);

            // Trigger email to staff (see NotificationController)
            require_once 'NotificationController.php';
            notifyFinalGrade($staff_id, $_POST['final_grade']);
            break;
    }

    header("Location: ../views/dashboard/{$user['role']}.php");
    exit;
}
