<?php
require_once __DIR__ . '/../config/db.php';

class Evaluation {
    public static function findByStaffId($staff_id) {
        global $pdo;
        $stmt = $pdo->prepare("SELECT * FROM evaluations WHERE staff_id = ?");
        $stmt->execute([$staff_id]);
        return $stmt->fetch(PDO::FETCH_ASSOC);
    }

    public static function create($data) {
        global $pdo;
        $stmt = $pdo->prepare("INSERT INTO evaluations
            (staff_id, quality_of_work, productivity, deadlines, accomplishments, improvements, career_goals, status)
            VALUES (?, ?, ?, ?, ?, ?, ?, 'submitted')");
        return $stmt->execute($data);
    }

    public static function updateFinalGrade($staff_id, $grade) {
        global $pdo;
        $stmt = $pdo->prepare("UPDATE evaluations SET final_grade = ?, status = 'completed' WHERE staff_id = ?");
        return $stmt->execute([$grade, $staff_id]);
    }
}
