<?php
require_once '../../helpers/session.php';
requireLogin();
require_once '../../templates/header.php';
?>

<div class="container-fluid">
    <div class="row">
        <!-- Sidebar -->
        <div class="col-md-2 bg-primary text-white vh-100 p-3">
            <h5 class="text-white mb-4">Admin</h5>
            <ul class="nav nav-pills flex-column w-100">
         <!-- Admin Dashboard -->
         <li class="nav-item mb-2">
             <a class="nav-link text-white" href="<?= APP_URL ?>views/dashboard/admin.php">
                 <i class="bi bi-speedometer2 me-2"></i> Admin Dashboard
             </a>
         </li>

         <!-- Manage Users -->
         <li class="nav-item mb-2">
             <a class="nav-link text-white" href="<?= APP_URL ?>views/users/manage.php">
                 <i class="bi bi-people-fill me-2"></i> Manage Users
             </a>
         </li>

         <!-- Assign Roles -->
         <li class="nav-item mb-2">
             <a class="nav-link text-white" href="<?= APP_URL ?>views/users/roles.php">
                 <i class="bi bi-person-gear me-2"></i> Assign Roles
             </a>
         </li>

         <!-- Set Evaluation Timeline -->
         <li class="nav-item mb-2">
             <a class="nav-link text-white" href="<?= APP_URL ?>views/config/timeline.php">
                 <i class="bi bi-calendar-check me-2"></i> Set Evaluation Timeline
             </a>
         </li>

         <!-- Monitor Evaluation Progress -->
         <li class="nav-item mb-2">
             <a class="nav-link text-white" href="<?= APP_URL ?>views/evaluation/progress.php">
                 <i class="bi bi-graph-up-arrow me-2"></i> Monitor Evaluation Progress
             </a>
         </li>

         <!-- Export Reports -->
         <li class="nav-item mb-2">
             <a class="nav-link text-white" href="<?= APP_URL ?>views/reports/performance_report.php">
                 <i class="bi bi-file-earmark-bar-graph me-2"></i> Export Reports
             </a>
         </li>

         <!-- Settings -->
         <li class="nav-item mb-2">
             <a class="nav-link text-white" href="<?= APP_URL ?>views/config/settings.php">
                 <i class="bi bi-gear me-2"></i> Settings
             </a>
         </li>

         <!-- Logout -->
         <li class="nav-item mt-4">
             <a class="nav-link text-white" href="<?= APP_URL ?>controllers/LogoutController.php">
                 <i class="bi bi-box-arrow-right me-2"></i> Logout
             </a>
         </li>
     </ul>
        </div>

        <!-- Main Content -->
        <div class="col-md-10 p-4">
            <h4>Welcome, <?= currentUser()['name']; ?> 👋</h4>

            <!-- User Info Card -->
            <div class="card mb-4 shadow-sm">
                <div class="card-body d-flex justify-content-between">
                    <div>
                        <h5 class="card-title">Growth Analyst</h5>
                        <p class="card-text">Salary: $120,000 <br> Exp: 5 Years</p>
                    </div>
                    <img src="<?= APP_URL ?>public/assets/user-avatar.png" alt="avatar" class="rounded-circle" width="60" height="60">
                </div>
            </div>

            <!-- KPI Cards -->
            <div class="row mb-4">
                <div class="col-md-4">
                    <div class="card shadow-sm text-center">
                        <div class="card-body">
                            <h6 class="text-muted">Projects in Progress</h6>
                            <h2>34</h2>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="card shadow-sm text-center">
                        <div class="card-body">
                            <h6 class="text-muted">Completion Rate</h6>
                            <div class="progress mb-2" style="height: 15px;">
                                <div class="progress-bar bg-success" style="width: 92%;">92%</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="card shadow-sm text-center">
                        <div class="card-body">
                            <h6 class="text-muted">Team Members</h6>
                            <div class="d-flex justify-content-center">
                                <img src="<?= APP_URL ?>public/assets/user-avatar.png" class="rounded-circle me-1" width="30">
                                <img src="<?= APP_URL ?>public/assets/user-avatar.png" class="rounded-circle me-1" width="30">
                                <img src="<?= APP_URL ?>public/assets/user-avatar.png" class="rounded-circle me-1" width="30">
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Task Timeline -->
            <div class="card shadow-sm">
                <div class="card-body">
                    <h6 class="card-title mb-3">Upcoming Tasks</h6>
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            Product roadmap consideration
                            <span class="badge bg-danger">Today</span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            Strategy meeting with Biz Team
                            <span class="badge bg-warning text-dark">Tomorrow</span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            Test review for version 2.3.1
                            <span class="badge bg-info text-dark">Next Week</span>
                        </li>
                    </ul>
                </div>
            </div>

        </div>
    </div>
</div>

<?php require_once '../../templates/footer.php'; ?>
