<?php
require_once '../../helpers/session.php';
requireLogin();
require_once '../../templates/header.php';
require_once '../../templates/topnav.php';
require_once '../../templates/sidebar/hr.php';
?>

<div class="container-fluid">
    <div class="row">
        <!-- Sidebar handled via hr.php -->

        <!-- Main Content -->
        <div class="col-md-10 p-4">
            <div class="card shadow-sm mb-4 border-0">
                <div class="card-body">
                    <h3 class="mb-3">👋 Welcome back, <?= htmlspecialchars($_SESSION['user']['name']) ?>!</h3>
                    <p class="text-muted">You're logged in as <strong>HR Officer</strong>.</p>
                </div>
            </div>

            <div class="row g-3">
                <div class="col-md-4">
                    <div class="card border-start border-info border-4 shadow-sm h-100">
                        <div class="card-body">
                            <h6 class="text-muted">📌 View Evaluation History</h6>
                            <p><a href="<?= APP_URL ?>views/evaluation/history.php" class="btn btn-outline-info btn-sm">Open History</a></p>
                        </div>
                    </div>
                </div>

                <div class="col-md-4">
                    <div class="card border-start border-primary border-4 shadow-sm h-100">
                        <div class="card-body">
                            <h6 class="text-muted">📝 Review Pending Evaluations</h6>
                            <p><a href="<?= APP_URL ?>views/evaluation/hr_form_list.php" class="btn btn-outline-primary btn-sm">View Pending</a></p>
                        </div>
                    </div>
                </div>

                <div class="col-md-4">
                    <div class="card border-start border-success border-4 shadow-sm h-100">
                        <div class="card-body">
                            <h6 class="text-muted">📊 Evaluation Summary Report</h6>
                            <p><a href="<?= APP_URL ?>views/reports/summary_report.php" class="btn btn-outline-success btn-sm">Open Report</a></p>
                        </div>
                    </div>
                </div>

                <div class="col-md-4">
                    <div class="card border-start border-secondary border-4 shadow-sm h-100">
                        <div class="card-body">
                            <h6 class="text-muted">⚙️ Profile Settings</h6>
                            <p><a href="<?= APP_URL ?>views/profile/settings.php" class="btn btn-outline-secondary btn-sm">Update Profile</a></p>
                        </div>
                    </div>
                </div>
            </div>

        </div> <!-- /.col-md-10 -->
    </div> <!-- /.row -->
</div>

<?php require_once '../../templates/footer.php'; ?>
