<?php
require_once '../../helpers/session.php';
requireLogin();

require_once '../../templates/header.php';

?>

<div class="container-fluid">
    <div class="row">
        <!-- Sidebar Column -->
        <div class="col-md-2 p-0 bg-primary text-white vh-100">
            <?php
            // Re-include sidebar if not loaded globally
            switch ($_SESSION['user']['role']) {
                case 'admin':     require '../../templates/sidebar/admin.php'; break;
                case 'staff':     require '../../templates/sidebar/staff.php'; break;
                case 'team_lead': require '../../templates/sidebar/team_lead.php'; break;
                case 'hr':        require '../../templates/sidebar/hr.php'; break;
                case 'director':  require '../../templates/sidebar/director.php'; break;
            }
            ?>
        </div>

        <!-- Main Content Column -->
        <div class="col-md-10 p-4">
            <div class="card shadow-sm mb-4 border-0">
                <div class="card-body">
                    <h3 class="mb-3">👋 Welcome back, <?= htmlspecialchars($_SESSION['user']['name']) ?>!</h3>
                    <p class="text-muted">You're logged in as <strong><?= ucfirst(str_replace('_', ' ', $_SESSION['user']['role'])) ?></strong>.</p>
                </div>
            </div>

            <!-- Widgets or Role-specific Content -->
            <div class="row g-3">
                <div class="col-md-4">
                    <div class="card border-start border-primary border-4 shadow-sm h-100">
                        <div class="card-body">
                            <h6 class="text-muted">Your Email</h6>
                            <p><?= htmlspecialchars($_SESSION['user']['email']) ?></p>
                        </div>
                    </div>
                </div>

                <div class="col-md-4">
                    <div class="card border-start border-success border-4 shadow-sm h-100">
                        <div class="card-body">
                            <h6 class="text-muted">Current Date</h6>
                            <p><?= date('l, F j, Y') ?></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php require_once '../../templates/footer.php'; ?>
