<?php
require_once '../../helpers/session.php';
requireLogin();
require_once '../../config/db.php';
require_once '../../helpers/functions.php';
require_once '../../templates/header.php';
require_once '../../templates/topnav.php';
require_once '../../templates/sidebar/director.php';

$stmt = $pdo->prepare("
    SELECT e.id AS evaluation_id, u.name AS staff_name, u.email, e.hr_comments, e.updated_at
    FROM evaluations e
    JOIN users u ON e.staff_id = u.id
    WHERE e.hr_status = 'completed' AND e.director_status = 'pending'
    ORDER BY e.updated_at DESC
");
$stmt->execute();
$pending = $stmt->fetchAll();
?>

<div class="container-fluid">
    <div class="col p-4">
        <h3 class="mb-4">📝 Evaluations Awaiting Final Grade</h3>

        <?php if (count($pending) > 0): ?>
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead class="table-dark">
                        <tr>
                            <th>Staff Name</th>
                            <th>Email</th>
                            <th>HR Comments</th>
                            <th>Last Reviewed</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($pending as $row): ?>
                            <tr>
                                <td><?= htmlspecialchars($row['staff_name']) ?></td>
                                <td><?= htmlspecialchars($row['email']) ?></td>
                                <td><?= nl2br(htmlspecialchars($row['hr_comments'])) ?></td>
                                <td><?= formatDate($row['updated_at']) ?></td>
                                <td>
                                    <a href="director_form.php?eval_id=<?= $row['evaluation_id'] ?>" class="btn btn-sm btn-primary">Grade Now</a>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        <?php else: ?>
            <div class="alert alert-success">✅ No pending evaluations for grading.</div>
        <?php endif; ?>
    </div>
</div>

<?php require_once '../../templates/footer.php'; ?>
