<?php
require_once '../../helpers/session.php';
requireLogin();
require_once '../../config/db.php';
require_once '../../helpers/functions.php';
require_once '../../templates/header.php';
require_once '../../templates/topnav.php';
require_once '../../templates/sidebar/hr.php';

// Fetch evaluations ready for HR review
$sql = "
    SELECT e.id AS evaluation_id, u.name AS staff_name, u.email, e.submitted_at, e.team_lead_status
    FROM evaluations e
    JOIN users u ON e.staff_id = u.id
    WHERE e.team_lead_status = 'completed' AND e.hr_status = 'pending'
    ORDER BY e.submitted_at DESC
";

$stmt = $pdo->prepare($sql);
$stmt->execute();
$pending = $stmt->fetchAll();
?>

<div class="container-fluid">
    <div class="col p-4">
        <h3 class="mb-4">📋 Evaluations Pending HR Review</h3>

        <?php if (count($pending) > 0): ?>
            <div class="table-responsive">
                <table class="table table-bordered table-striped">
                    <thead class="table-dark">
                        <tr>
                            <th>Staff Name</th>
                            <th>Email</th>
                            <th>Submitted On</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($pending as $row): ?>
                            <tr>
                                <td><?= htmlspecialchars($row['staff_name']) ?></td>
                                <td><?= htmlspecialchars($row['email']) ?></td>
                                <td><?= formatDate($row['submitted_at']) ?></td>
                                <td>
                                    <a href="hr_form.php?eval_id=<?= $row['evaluation_id'] ?>" class="btn btn-sm btn-primary">
                                        Review
                                    </a>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        <?php else: ?>
            <div class="alert alert-success">✅ No pending evaluations at the moment.</div>
        <?php endif; ?>
    </div>
</div>

<?php require_once '../../templates/footer.php'; ?>
