<?php
require_once '../../helpers/session.php';
requireLogin();
require_once '../../templates/header.php';
?>

<div class="container-fluid">
    <div class="row">
        <!-- Sidebar -->
        <div class="col-md-2 bg-primary text-white vh-100 p-3">
            <h5 class="text-white mb-4">Admin</h5>
            <ul class="nav nav-pills flex-column w-100">
         <!-- Admin Dashboard -->
         <li class="nav-item mb-2">
             <a class="nav-link text-white" href="<?= APP_URL ?>views/dashboard/admin.php">
                 <i class="bi bi-speedometer2 me-2"></i> Admin Dashboard
             </a>
         </li>



         <!-- Assign Roles -->
         <li class="nav-item mb-2">
             <a class="nav-link text-white" href="<?= APP_URL ?>views/users/roles.php">
                 <i class="bi bi-person-gear me-2"></i> Assign Roles
             </a>
         </li>

         <!-- Set Evaluation Timeline -->
         <li class="nav-item mb-2">
             <a class="nav-link text-white" href="<?= APP_URL ?>views/config/timeline.php">
                 <i class="bi bi-calendar-check me-2"></i> Set Evaluation Timeline
             </a>
         </li>

         <!-- Monitor Evaluation Progress -->
         <li class="nav-item mb-2">
             <a class="nav-link text-white" href="<?= APP_URL ?>views/evaluation/progress.php">
                 <i class="bi bi-graph-up-arrow me-2"></i> Monitor Evaluation Progress
             </a>
         </li>

         <!-- Export Reports -->
         <li class="nav-item mb-2">
             <a class="nav-link text-white" href="<?= APP_URL ?>views/reports/performance_report.php">
                 <i class="bi bi-file-earmark-bar-graph me-2"></i> Export Reports
             </a>
         </li>

         <!-- Settings -->
         <li class="nav-item mb-2">
             <a class="nav-link text-white" href="<?= APP_URL ?>views/config/settings.php">
                 <i class="bi bi-gear me-2"></i> Settings
             </a>
         </li>

         <!-- Logout -->
         <li class="nav-item mt-4">
             <a class="nav-link text-white" href="<?= APP_URL ?>controllers/LogoutController.php">
                 <i class="bi bi-box-arrow-right me-2"></i> Logout
             </a>
         </li>
     </ul>
        </div>

        <!-- Main Content -->
        <div class="col-md-10 p-4">
            <h4 class="mb-4">Manage Users</h4>

            <!-- Add User Button -->
            <div class="mb-3 text-end">
                <a href="#" class="btn btn-sm btn-success">
                    <i class="bi bi-plus-circle"></i> Add New User
                </a>
            </div>

            <!-- Users Table -->
            <div class="card shadow-sm">
                <div class="card-body">
                    <table class="table table-hover align-middle">
                        <thead class="table-light">
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Role</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <!-- Example row -->
                            <tr>
                                <td>1</td>
                                <td>Jane Doe</td>
                                <td>jane@example.com</td>
                                <td><span class="badge bg-secondary">Staff</span></td>
                                <td><span class="badge bg-success">Active</span></td>
                                <td>
                                    <a href="#" class="btn btn-sm btn-outline-primary">
                                        <i class="bi bi-pencil"></i> Edit
                                    </a>
                                    <a href="#" class="btn btn-sm btn-outline-danger">
                                        <i class="bi bi-trash"></i> Delete
                                    </a>
                                </td>
                            </tr>
                            <!-- Add more rows dynamically later -->
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
    </div>
</div>

<?php require_once '../../templates/footer.php'; ?>
